package com.zcloud.domain.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.domain.dto.ProjectTaskDetailAddCmd;
import com.zcloud.domain.dto.ProjectTaskGroupUserAddCmd;
import com.zcloud.domain.dto.ProjectTaskGroupUserPageQry;
import com.zcloud.domain.dto.ProjectTaskGroupUserUpdateCmd;
import com.zcloud.domain.dto.clientobject.ProjectTaskGroupUserCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2026-01-29 11:35:20
 */
public interface ProjectTaskGroupUserServiceI {
    PageResponse<ProjectTaskGroupUserCO> listPage(ProjectTaskGroupUserPageQry qry);

    SingleResponse<ProjectTaskGroupUserCO> add(ProjectTaskGroupUserAddCmd cmd);

    void edit(ProjectTaskGroupUserUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);

    SingleResponse<ProjectTaskGroupUserCO> saveGroupUser(ProjectTaskDetailAddCmd cmd);
}

